Package org.eclipse.handly.ui.preference

## Class DoublePreference

- java.lang.Object
- - org.eclipse.handly.ui.preference.AbstractPreference
  - - org.eclipse.handly.ui.preference.DoublePreference

- All Implemented Interfaces:
    `IDoublePreference`, `IPreference`

      public class DoublePreference
      extends AbstractPreference
      implements IDoublePreference

  Implements a double-valued preference. The preference is stored in an `IPreferenceStore`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DoublePreference​(java.lang.String name, org.eclipse.jface.preference.IPreferenceStore store)` | Creates a new double-valued preference with the given name and the given store.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getValue()` | Returns the current value of this preference.
    `void` | `setDefault​(double value)` | Sets the default value for this preference.
    `void` | `setValue​(double value)` | Sets the current value of this preference.

    - ### Methods inherited from class org.eclipse.handly.ui.preference.AbstractPreference

      `addListener, getName, getStore, isDefault, removeListener, setToDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.handly.ui.preference.IPreference

      `addListener, removeListener`

- - ### Constructor Detail

    - #### DoublePreference

          public DoublePreference​(java.lang.String name,
                                  org.eclipse.jface.preference.IPreferenceStore store)

      Creates a new double-valued preference with the given name and the given store.
      Parameters:
        `name` - the preference name (not `null`)
        `store` - the preference store (not `null`)

  - ### Method Detail

    - #### getValue

          public final double getValue()

      Description copied from interface: `IDoublePreference`
      Returns the current value of this preference.
      Specified by:
        `getValue` in interface `IDoublePreference`
      Returns:
        the current value of this preference

    - #### setValue

          public final void setValue​(double value)

      Description copied from interface: `IDoublePreference`
      Sets the current value of this preference.

      A preference change event is reported if the current value of the preference actually changes from its previous value.

      Specified by:
        `setValue` in interface `IDoublePreference`
      Parameters:
        `value` - the new current value of this preference

    - #### setDefault

          public final void setDefault​(double value)

      Sets the default value for this preference.

      Note that if the preference's current value equals the old default value, the current value changes to the new default value. No preference change events are reported by changing default values.

      Parameters:
        `value` - the new default value for this preference